## i2p.susi.webmail.pop3
Class POP3MailBox

    java.lang.Object
      i2p.susi.webmail.pop3.POP3MailBox

    public class POP3MailBox

extends Object

Author:
  susi23

Constructor Summary
`POP3MailBox(String host, int port, String user, String pass)`

Method Summary
`void` `close()`
`boolean` `delete(String uidl)`
`ReadBuffer` `getBody(String uidl)`
`ReadBuffer` `getHeader(String uidl)`
`int` `getNumMails()`
`int` `getSize(String uidl)`
`String` `getUIDLfromID(int id)`
`Object[]` `getUIDLs()`
`boolean` `isConnected()` check whether connection is still alive
`String` `lastError()`
`static void` `main(String[] args)`
`void` `performDelete()`
`void` `refresh()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POP3MailBox

    public POP3MailBox(String host,
                       int port,
                       String user,
                       String pass)

Parameters:
  `host` -
  `port` -
  `user` -
  `pass` -

Method Detail

### getHeader

    public ReadBuffer getHeader(String uidl)

  Parameters:
    `uidl` -
  Returns:
    Byte buffer containing header data.

### getBody

    public ReadBuffer getBody(String uidl)

  Parameters:
    `uidl` -
  Returns:
    Byte buffer containing body data.

### delete

    public boolean delete(String uidl)

  Parameters:
    `uidl` -
  Returns:
    Success of delete operation: true if successful.

### getSize

    public int getSize(String uidl)

  Parameters:
    `uidl` -
  Returns:
    Message size in bytes.

### isConnected

    public boolean isConnected()

  check whether connection is still alive

  Returns:
    true or false

### refresh

    public void refresh()

### getNumMails

    public int getNumMails()

  Returns:
    The amount of e-mails available.

### lastError

    public String lastError()

  Returns:
    The most recent error message.

### close

    public void close()

### getUIDLfromID

    public String getUIDLfromID(int id)

  Parameters:
    `id` -
  Returns:
    UIDL.

### getUIDLs

    public Object[] getUIDLs()

  Returns:
    A list of the available UIDLs.

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### performDelete

    public void performDelete()